SDL_GetHapticID(3)

NAME
SDL_GetHapticID - Get the instance ID of an opened haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_HapticID SDL_GetHapticID(SDL_Haptic *haptic);

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to query.

RETURN VALUE
( SDL_HapticID ) Returns the instance ID of the specified haptic device on success or 0 on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.